package main;

import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;

/**
 * Created by Vladimir Eliezer Tokarev on 8/27/2016.
 * Two Way node gives the ability to set next and previous objects
 */
public abstract class TwoWayNode {

    protected Scene next;
    protected Scene previous;
    protected Stage currentStage;
    protected Scene currentNode;

    /**
     * Sets which next TwoWayNode
     * @param nextObject
     */
    public void SetNext(TwoWayNode nextObject) {
        this.next = nextObject.GetNode();
    }

    /**
     * Sets which previous TwoWayNode
     * @param previousObject
     */
    public void SetPrevious(TwoWayNode previousObject) {
        this.previous = previousObject.GetNode();
    }

    /**
     * Sets the stage of current object
     * @param primaryStage
     */
    public void SetStage(Stage primaryStage) {
        this.currentStage = primaryStage;
    }

    /**
     * Sets the current parent node
     * @param parent
     */
    public void SetParent(Parent parent) {
        this.currentNode = new Scene(parent);
    }

    /**
     * GetNode return the paren node that represents current object
     * @return Paren object
     */
    public Scene GetNode() {
        return this.currentNode;
    }
}
