package main.vote_have_been_cast;

import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.stage.Stage;
import main.TwoWayNode;
import main.cast_or_audit.CastOrAuditController;

import java.io.IOException;

/**
 * Created by Vladimir Eliezer Tokarev on 8/27/2016.
 * VoteHaveBeenCastLoader laods the screen that in charge of handling the voting end
 */
public class VoteHaveBeenCastLoader {
    private static final String VOTE_HAVE_BEEN_CAST_FXML_PATH = "vote_have_been_cast.fxml";

    private Stage currentStage;
    private FXMLLoader fxmlLoader;

    public VoteHaveBeenCastLoader(Stage primaryStage) throws IOException
    {
        fxmlLoader = new FXMLLoader(getClass().getResource(VOTE_HAVE_BEEN_CAST_FXML_PATH));
        currentStage = primaryStage;
    }

    /**
     * Creates welcome splash parent node and sets it to the controller
     * @return TwoWayNode
     * @throws IOException
     */
    public TwoWayNode GetVoteHaveBeenCast() throws IOException {
        Parent voteHaveBeenCast = fxmlLoader.load();
        VoteHaveBeenCastController controller = fxmlLoader.getController();

        // set the controller to be functional TwoWayNode
        controller.SetParent(voteHaveBeenCast);
        controller.SetStage(currentStage);

        return controller;
    }
}
